KTypeList< T, U > Struct Template Reference

`#include <ktypelist.h>`

## Public Types

typedef T | Head
typedef U | Tail

## Detailed Description

### template<class T, class U>
struct KTypeList< T, U >

The building block of typelists of any length.

Use it through the K_TYPELIST_NN macros. Defines nested types:

- Head (first element, a non-typelist type by convention)
- Tail (second element, can be another typelist)

Definition at line 362 of file ktypelist.h.

## Member Typedef Documentation

template<class T , class U >

typedef T KTypeList< T, U >::Head

first element, a non-typelist type by convention

Definition at line 365 of file ktypelist.h.

template<class T , class U >

typedef U KTypeList< T, U >::Tail

second element, can be another typelist

Definition at line 367 of file ktypelist.h.

The documentation for this struct was generated from the following file:

- ktypelist.h

KDE Home | KDE Accessibility Home | Description of Access Keys